use crate::util::bool_from_u8;
use serde::Deserialize;

pub mod get_session;

#[derive(Deserialize, Clone, Debug)]
pub struct Session {
    pub name: String,
    pub key: String,
    #[serde(deserialize_with = "bool_from_u8")]
    pub subscriber: bool
}